package com.xintong.visualinspection.service;

import java.util.List;

import com.xintong.visualinspection.bean.ClassCode;
import com.xintong.visualinspection.bean.TeamClass;
import com.xintong.visualinspection.pojo.UserClassCheck;

/**
 * 
 *
 * ConstantService
 * 
 * tiger
 * tiger
 * 2017年5月4日 上午10:41:40
 * 
 * @version 1.0.0
 *
 */
public interface TeamClassService {
    public List<TeamClass> getClassList(TeamClass teamClass);
    public List<TeamClass> getClassListAndUsers(TeamClass teamClass);
    public TeamClass getById(Long id);
    public void insert(TeamClass teamClass);
    public void update(TeamClass teamClass);
    public void delete(Long id);
    public void updateList(List<TeamClass> teamClasses);
    
    public List<TeamClass> getClassCode(ClassCode teamClass);
    
    public UserClassCheck getLaneClassListByUserAndTime(com.xintong.visualinspection.pojo.TeamClass teamClass);

}
